Pix ProcessamentoPix Processamento Docs
API 端点回调

列出回调

GET
/user/callbacks

认证

BearerAuth
认证Bearer <token>

位置: header

Query 参数

page?integer
默认值1
范围1 <= value
limit?integer
默认值10
范围1 <= value <= 100
sortBy?string
默认值"createdAt"
值位于"createdAt" | "status"
sortDirection?string
默认值"desc"
值位于"asc" | "desc"
id?string

Filter by callback ID

url?string

Filter by callback URL

status?integer

HTTP status code

transactionId?string
hasError?boolean

Filter callbacks that errored

createdAtFrom?string
格式date-time
createdAtTo?string
格式date-time

响应体

application/json

application/json

application/json

application/json

curl -X GET "https://api.exemplo.processamento.com/v1/user/callbacks"
{
  "pagination": {
    "page": 1,
    "limit": 10,
    "hasNextPage": true
  },
  "callbacks": [
    {
      "id": "cmh211yjm03ohs601kf7672du",
      "url": "https://great-lock-79.webhook.cool",
      "status": 200,
      "transactionId": "PIX2025102213082667EDC8079C",
      "createdAt": "2025-10-22T13:26:53.219Z",
      "responseTime": 124,
      "body": {
        "id": "PIX2025102213082667EDC8079C",
        "type": "DEPOSIT",
        "status": "REFUNDED"
      },
      "responseBody": "OK",
      "responseHeaders": {
        "content-type": "text/plain; charset=UTF-8"
      }
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Missing or invalid Bearer token",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}